%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Carp.pm) perl(CGI/Util.pm) perl(Class/Struct.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 2.1
%define module_name MySQL-Handler
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.1
Release: alt1
Summary: Builds upon DBD::mysql for advanced CGI web apps
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CS/CSA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
MySQL::Handler builds upon the foundation set by
DBI and DBD::mysql to create a superset of methods for tying together
some of the basic interface concepts of DB management when used
in a web server environment. MySQL::Handler is meant to build 
upon the strengths of DBD::mysql and DBI and add common usability 
features for a variety of Internet applications.

MySQL::Handler encapsulates error message handling, information
message handling, simple caching of requests through a complete
iteration of a server CGI request.  You will also find some key
elements that hook the CGI class to the DBI class to simplify
data IO to & from web forms and dynamic pages.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.1-alt1
- initial import by package builder

